Loading...
Searching...
No Matches
ext2_inode Struct Reference

`#include <ext2_fs.h>`

## Data Fields

uint32_t | i_atime
uint32_t | i_block [EXT2_N_BLOCKS]
uint32_t | i_blocks
uint32_t | i_ctime
uint32_t | i_dir_acl
uint32_t | i_dtime
uint32_t | i_faddr
uint32_t | i_file_acl
uint32_t | i_flags
uint32_t | i_generation
uint16_t | i_gid
uint16_t | i_links_count
uint16_t | i_mode
uint32_t | i_mtime
uint32_t | i_size
uint16_t | i_uid
union { |
struct { |
uint32_t h_i_translator |
} hurd1
struct { |
uint32_t l_i_reserved1 |
} linux1
struct { |
uint32_t m_i_reserved1 |
} masix1
} | osd1
union { |
struct { |
uint32_t h_i_author |
uint8_t h_i_frag |
uint8_t h_i_fsize |
uint16_t h_i_gid_high |
uint16_t h_i_mode_high |
uint16_t h_i_uid_high |
} hurd2
struct { |
uint16_t i_pad1 |
uint8_t l_i_frag |
uint8_t l_i_fsize |
uint32_t l_i_reserved2 [2] |
} linux2
struct { |
uint8_t m_i_frag |
uint8_t m_i_fsize |
uint32_t m_i_reserved2 [2] |
uint16_t m_pad1 |
} masix2
} | osd2

## Field Documentation

## h_i_author

uint32_t ext2_inode::h_i_author

## h_i_frag

uint8_t ext2_inode::h_i_frag

## h_i_fsize

uint8_t ext2_inode::h_i_fsize

## h_i_gid_high

uint16_t ext2_inode::h_i_gid_high

## h_i_mode_high

uint16_t ext2_inode::h_i_mode_high

## h_i_translator

uint32_t ext2_inode::h_i_translator

## h_i_uid_high

uint16_t ext2_inode::h_i_uid_high

## [struct]

struct { ... } ext2_inode::hurd1

## [struct]

struct { ... } ext2_inode::hurd2

## i_atime

uint32_t ext2_inode::i_atime

## i_block

uint32_t ext2_inode::i_block[EXT2_N_BLOCKS]

## i_blocks

uint32_t ext2_inode::i_blocks

## i_ctime

uint32_t ext2_inode::i_ctime

## i_dir_acl

uint32_t ext2_inode::i_dir_acl

## i_dtime

uint32_t ext2_inode::i_dtime

## i_faddr

uint32_t ext2_inode::i_faddr

## i_file_acl

uint32_t ext2_inode::i_file_acl

## i_flags

uint32_t ext2_inode::i_flags

## i_generation

uint32_t ext2_inode::i_generation

## i_gid

uint16_t ext2_inode::i_gid

## i_links_count

uint16_t ext2_inode::i_links_count

## i_mode

uint16_t ext2_inode::i_mode

## i_mtime

uint32_t ext2_inode::i_mtime

## i_pad1

uint16_t ext2_inode::i_pad1

## i_size

uint32_t ext2_inode::i_size

## i_uid

uint16_t ext2_inode::i_uid

## l_i_frag

uint8_t ext2_inode::l_i_frag

## l_i_fsize

uint8_t ext2_inode::l_i_fsize

## l_i_reserved1

uint32_t ext2_inode::l_i_reserved1

## l_i_reserved2

uint32_t ext2_inode::l_i_reserved2[2]

## [struct]

struct { ... } ext2_inode::linux1

## [struct]

struct { ... } ext2_inode::linux2

## m_i_frag

uint8_t ext2_inode::m_i_frag

## m_i_fsize

uint8_t ext2_inode::m_i_fsize

## m_i_reserved1

uint32_t ext2_inode::m_i_reserved1

## m_i_reserved2

uint32_t ext2_inode::m_i_reserved2[2]

## m_pad1

uint16_t ext2_inode::m_pad1

## [struct]

struct { ... } ext2_inode::masix1

## [struct]

struct { ... } ext2_inode::masix2

## [union]

union { ... } ext2_inode::osd1

## [union]

union { ... } ext2_inode::osd2

The documentation for this struct was generated from the following file:

- libparted/fs/ext2/ext2_fs.h